1. Beneficiaries
geowallet
  • Overview
  • Authentication
  • APIs
    • Ledger Balance
      • Get Balance of all ledgers
      • Get Balance for a single currency
    • Funding
      • Get deposit instruments
    • Payers
      • Create original payer
    • Beneficiaries
      • Create beneficiary
        POST
    • Quotes
      • Get FX quotation
    • Payments
      • Confirm quote and create payment
      • Payment result inquiry
    • Files
      • Create file upload session
      • Get file processing status
      • Upload file binary to pre-signed URL
  • Payment Status Webhook
  • About Us
  • Schemas
    • ErrorResponse
    • DepositInstrumentsResponse
    • DepositInstruction
    • FiatBankAccount
    • CreatePayerRequest
    • PayerInfo
    • IdentityInfo
    • Address
    • CompanyInfo
    • Director
    • UBO
    • DocumentReference
    • CreatePayerResponse
    • CreateBeneficiaryRequest
    • BeneficiaryInfo
    • BeneficiaryBankAccount
    • IntermediaryBank
    • OriginatorInfo
    • LocalClearing
    • CreateBeneficiaryResponse
    • QuoteRequest
    • QuoteResponse
    • PaymentRequest
    • PaymentInstruction
    • Amount
    • Compliance
    • Metadata
    • PaymentResponse
    • FileUploadSessionRequest
    • FileUploadSessionResponse
    • FileStatusResponse
  1. Beneficiaries

Create beneficiary

POST
/api/v1/beneficiaries

Request

Authorization
API Key
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
or
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Body Params application/jsonRequired

Example
{
    "requestId": "BEN202605070001",
    "paymentChannelType": "SWIFT",
    "countryCode": "USA",
    "accountType": "INDIVIDUAL",
    "beneficiary": {
        "name": "John Smith",
        "address": "New York Manhattan",
        "city": "New York",
        "countryCode": "USA",
        "nationality": "USA",
        "idType": "PASSPORT",
        "idNumber": "P12345678"
    },
    "bankAccount": {
        "currency": "USD",
        "bankName": "JPMORGAN CHASE",
        "accountNumber": "1234567890",
        "swiftCode": "CHASUS33",
        "routingNumber": "021000021"
    },
    "originator": {
        "name": "GeoSwift Ltd",
        "address": "Singapore"
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://prod-cn.your-api-server.com/api/v1/beneficiaries' \
--header 'X-API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "requestId": "BEN202605070001",
    "paymentChannelType": "SWIFT",
    "countryCode": "USA",
    "accountType": "INDIVIDUAL",
    "beneficiary": {
        "name": "John Smith",
        "address": "New York Manhattan",
        "city": "New York",
        "countryCode": "USA",
        "nationality": "USA",
        "idType": "PASSPORT",
        "idNumber": "P12345678"
    },
    "bankAccount": {
        "currency": "USD",
        "bankName": "JPMORGAN CHASE",
        "accountNumber": "1234567890",
        "swiftCode": "CHASUS33",
        "routingNumber": "021000021"
    },
    "originator": {
        "name": "GeoSwift Ltd",
        "address": "Singapore"
    }
}'

Responses

🟢200
application/json
Success
Bodyapplication/json

Example
{
    "code": "SUCCESS",
    "message": "string",
    "data": {
        "beneficiaryId": "string",
        "status": "ACTIVE",
        "verificationStatus": "PENDING",
        "createdAt": "2019-08-24T14:15:22.123Z"
    }
}
Modified at 2026-06-05 07:31:32
Previous
Create original payer
Next
Get FX quotation
Built with